Bug 289151 - (CVE-2006-4538) CVE-2006-4538 kernel: Local DoS with corrupted ELF
CVE-2006-4538 kernel: Local DoS with corrupted ELF
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,reported=20060905,sou...
: Security
Depends On: 205335 289161 289171
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 08:01 EDT by Mark J. Cox (Product Security)
Modified: 2011-09-28 19:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 19:12:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-09-13 08:01:42 EDT
Already fixed for RHEL4, but not for RHEL3/2.1-ia64.  See bz#205335 for
EL4 reproducer.

From Kirill Korotaev:

When running on IA64 or SPARC platforms, local users can cause a denial of
service via a malformed ELF file and then triggered by cross-region mappings.

http://lkml.org/lkml/2006/9/4/116
Comment 3 Kurt Seifried 2011-09-28 19:12:27 EDT
This issue has been addressed in following products:

  Red Hat Linux Enterprise 2.1
  Red Hat Linux Enterprise 3
  
Via RHSA-2007:1049 available at https://rhn.redhat.com/errata/RHSA-2007-1049.html and RHSA-2008:0787 available at https://rhn.redhat.com/errata/RHSA-2008-0787.html

Note You need to log in before you can comment on or make changes to this bug.